# fusioninventory agent configuration

# all defined values match default
# all commented values are examples


#
# Target definition options
#

# send tasks results to an OCS server
#server = http://server.domain.com/ocsinventory
# send tasks results to a FusionInventory for GLPI server
#server = http://server.domain.com/glpi/plugins/fusioninventory/
# send tasks results to a PROTECTIVE ca-fusioninventory server
server = https://ca.protective.sri.net:8449/api/upload
# write tasks results in a directory
#local = /tmp
local = /tmp/fusioninventory

#
# Task definition options
#

# disable software deployment tasks
#no-task = deploy
no-task = deploy,ESX

#
# Target scheduling options
#

# maximum delay before first target, in seconds
delaytime = 3600
# do not contact the target before next scheduled time
#lazy = 1
lazy = 0

#
# Inventory task specific options
#

# do not list local printers
# no-category = printer
# allow to scan user home directories
scan-homedirs = 1
# allow to scan user profiles
scan-profiles = 1
# save the inventory as HTML
#html = 0
html = 1
# timeout for inventory modules execution
#backend-collect-timeout = 30
backend-collect-timeout = 180
# always send data to server
force = 0
# additional inventory content file
additional-content =

# 
# Package deployment task specific options
#

# do not use peer to peer to download files
no-p2p = 0

# 
# Network options
# 

# proxy address
proxy =
# user name for server authentication
user = agent
# password for server authentication
password = Doctor.has.12
# CA certificates directory
ca-cert-dir =
# CA certificates file
ca-cert-file = /etc/fusioninventory/SRIAIT-Internal-Intermediate-Chain-CA.crt
# do not check server SSL certificate
no-ssl-check = 0
# connection timeout, in seconds
timeout = 180

# 
# Web interface options
#

# disable embedded web server
no-httpd = 0
# network interface to listen to
httpd-ip =
# network port to listen to
httpd-port = 62354
# trust requests without authentication token
httpd-trust = ca.protective.sri.net

#
# Logging options
#

# Logger backend, either Stderr, File or Syslog (Stderr)
logger = File
# log file
logfile = /var/log/fusioninventory.log
# maximum log file size, in MB
logfile-maxsize = 10
# Syslog facility
logfacility = LOG_USER
# Use color in the console
#color = 0
color = 1

#
# Execution mode options
# 

# add given tag to inventory results
tag =
# debug mode
#debug = 0
debug = 2
